Qore Programming Language Reference Manual: Math Functions

Qore Programming Language Reference Manual 0.8.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Functions
Math Functions

## Functions
int | Qore::abs (int i)
| Returns the absolute value of the argument passed. More...
number | Qore::abs (number n)
| Returns the absolute value of the argument passed. More...
float | Qore::abs (softfloat f)
| Returns the absolute value of the argument passed. More...
float | Qore::abs ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::acos (number n)
| Returns the value in radians of the arc cosine of the given value. More...
float | Qore::acos (softfloat f)
| Returns the value in radians of the arc cosine of the given value. More...
number | Qore::asin (number n)
| Returns the value in radians of the arc sine of the given value. More...
float | Qore::asin (softfloat f)
| Returns the value in radians of the arc sine of the given value. More...
float | Qore::asin ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::atan (number n)
| Returns the value in radians of the arc tangent of the given value. More...
float | Qore::atan (softfloat f)
| Returns the value in radians of the arc tangent of the given value. More...
float | Qore::atan ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::atan2 (number y, number x)
| Returns the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result. More...
float | Qore::atan2 (softfloat y, softfloat x)
| Returns the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result. More...
float | Qore::atan2 ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::cbrt (number n)
| Returns the cube root of the number passed. More...
float | Qore::cbrt (softfloat f)
| Returns the cube root of the number passed. More...
float | Qore::cbrt ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::ceil (number n)
| Returns a number equal to the smallest integral value greater than or equal to the argument passed. More...
float | Qore::ceil (softfloat f)
| Returns a floating-point number equal to the smallest integral value greater than or equal to the argument passed. More...
float | Qore::ceil ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::cos (number n)
| Returns the cosine of the number in radians passed. More...
float | Qore::cos (float f)
| Returns the cosine of the number in radians passed. More...
float | Qore::cos ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::cosh (number n)
| Returns the hyperbolic cosine of the given value. More...
float | Qore::cosh (softfloat f)
| Returns the hyperbolic cosine of the given value. More...
float | Qore::cosh ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::exp (number n)
| Returns the value of e (the base of natural logarithms) raised to the power of the given number. More...
float | Qore::exp (softfloat f)
| Returns the value of e (the base of natural logarithms) raised to the power of the given number. More...
float | Qore::exp ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::exp2 (number n)
| Returns the value of 2 raised to the power of the given number. More...
float | Qore::exp2 (softfloat f)
| Returns the value of 2 raised to the power of the given number. More...
float | Qore::exp2 ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::expm1 (number n)
| Returns the value of e (the base of natural logarithms) raised to the power of the given number - 1. More...
float | Qore::expm1 (softfloat f)
| Returns the value of e (the base of natural logarithms) raised to the power of the given number - 1. More...
float | Qore::expm1 ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::floor (softnumber n)
| Returns a number equal to the largest integral value less than or equal to the argument passed. More...
float | Qore::floor (softfloat f)
| Returns a floating-point number equal to the largest integral value less than or equal to the argument passed. More...
float | Qore::floor ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::hypot (number x, number y)
| Returns the length of the hypotenuse of a right-angle triangle with sides given as the two arguments. More...
float | Qore::hypot (softfloat x, softfloat y)
| Returns the length of the hypotenuse of a right-angle triangle with sides given as the two arguments. More...
float | Qore::hypot ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::log10 (number n)
| Returns the base 10 logarithm of the given number. More...
float | Qore::log10 (softfloat f)
| Returns the base 10 logarithm of the given number. More...
float | Qore::log10 ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::log1p (number n)
| Returns the natural logarithm of 1 + the given number. More...
float | Qore::log1p (softfloat f)
| Returns the natural logarithm of 1 + the given number. More...
float | Qore::log1p ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
float | Qore::logb (softfloat f)
| Returns the exponent of the given number. More...
float | Qore::logb ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::nlog (number n)
| Returns the natural logarithm of the given value. More...
float | Qore::nlog (softfloat f)
| Returns the natural logarithm of the given value. More...
float | Qore::nlog ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::pow (number x, number y)
| Returns a number raised to the power of another number. More...
float | Qore::pow (softfloat x=0.0, softfloat y=0.0)
| Returns a number raised to the power of another number. More...
number | Qore::round (number n)
| Returns a number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero. More...
float | Qore::round (softfloat f)
| Returns a floating-point number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero. More...
float | Qore::round ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::sin (number n)
| Returns the sine of the number in radians passed. More...
float | Qore::sin (softfloat f)
| Returns the sine of the number in radians passed. More...
float | Qore::sin ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::sinh (number n)
| Returns the hyperbolic sine of the given value. More...
float | Qore::sinh (softfloat f)
| Returns the hyperbolic sine of the given value. More...
float | Qore::sinh ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::sqrt (number n)
| Returns the square root of the number passed. More...
float | Qore::sqrt (softfloat f)
| Returns the square root of the number passed. More...
float | Qore::sqrt ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::tan (number n)
| Returns the tangent of the number in radians passed. More...
float | Qore::tan (softfloat f)
| Returns the tangent of the number in radians passed. More...
float | Qore::tan ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
number | Qore::tanh (number n)
| Returns the hyperbolic tangent of the given value. More...
float | Qore::tanh (softfloat f)
| Returns the hyperbolic tangent of the given value. More...
float | Qore::tanh ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...

## Detailed Description

Math functions

## Function Documentation

int Qore::abs | ( | int | i | ) |

Returns the absolute value of the argument passed.

Code Flags:
  CONSTANT

Parameters

  i | the value to process

Returns
  the absolute value of the argument passed

Example:
  my int $i = abs(-20); # returns 20

Note
  equivalent to <int>::abs()

number Qore::abs | ( | number | n | ) |

Returns the absolute value of the argument passed.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the absolute value of the argument passed

Example:
  my number $n = abs(-20n); # returns 20n

Note
  equivalent to <number>::abs()

float Qore::abs | ( | softfloat | f | ) |

Returns the absolute value of the argument passed.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the absolute value of the argument passed

Example:
  my float $f = abs(-20.2); # returns 20.2

Note
  equivalent to <float>::abs()

float Qore::abs | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::acos | ( | number | n | ) |

Returns the value in radians of the arc cosine of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the cosine value to process

Returns
  the value in radians of the arc cosine of the given value

Example:
  my number $x = acos($y);

float Qore::acos | ( | softfloat | f | ) |

Returns the value in radians of the arc cosine of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the cosine value to process

Returns
  the value in radians of the arc cosine of the given value

Example:
  my float $x = acos($y);

number Qore::asin | ( | number | n | ) |

Returns the value in radians of the arc sine of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the sine value to process

Returns
  the value in radians of the arc sine of the given value

Example:
  my number $x = asin($y);

float Qore::asin | ( | softfloat | f | ) |

Returns the value in radians of the arc sine of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the sine value to process

Returns
  the value in radians of the arc sine of the given value

Example:
  my float $x = asin($y);

float Qore::asin | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::atan | ( | number | n | ) |

Returns the value in radians of the arc tangent of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the tangent value to process

Returns
  the value in radians of the arc tangent of the given value

Example:
  my number $x = atan($y);

float Qore::atan | ( | softfloat | f | ) |

Returns the value in radians of the arc tangent of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the tangent value to process

Returns
  the value in radians of the arc tangent of the given value

Example:
  my float $x = atan($y);

float Qore::atan | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::atan2 | ( | number | y,
|  | number | x
| ) |  |

Returns the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result.

Code Flags:
  CONSTANT

Parameters

  y | the y value for the function
  x | the x value for the function

Returns
  the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result

Example:
  my number $f = atan2($y, $x);

float Qore::atan2 | ( | softfloat | y,
|  | softfloat | x
| ) |  |

Returns the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result.

Code Flags:
  CONSTANT

Parameters

  y | the y value for the function
  x | the x value for the function

Returns
  the principal value of the arc tangent of y/x, using the signs of the two arguments to determine the quadrant of the result

Example:
  my float $f = atan2($y, $x);

float Qore::atan2 | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::cbrt | ( | number | n | ) |

Returns the cube root of the number passed.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the cube root of the number passed

Example:
  my number $x = cbrt($y);

float Qore::cbrt | ( | softfloat | f | ) |

Returns the cube root of the number passed.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the cube root of the number passed

Example:
  my float $x = cbrt($y);

float Qore::cbrt | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::ceil | ( | number | n | ) |

Returns a number equal to the smallest integral value greater than or equal to the argument passed.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  a number equal to the smallest integral value greater than or equal to the argument passed

Example:
  my number $x = ceil(3.2n); # returns 4.0n

See Also
  floor(number)

float Qore::ceil | ( | softfloat | f | ) |

Returns a floating-point number equal to the smallest integral value greater than or equal to the argument passed.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  a floating-point number equal to the smallest integral value greater than or equal to the argument passed

Example:
  my float $x = ceil(3.2); # returns 4.0

See Also
  floor(softfloat)

float Qore::ceil | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::cos | ( | number | n | ) |

Returns the cosine of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  n | the angle in radians

Returns
  the cosine of the number in radians passed

Example:
  my number $x = cos($y);

float Qore::cos | ( | float | f | ) |

Returns the cosine of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  f | the angle in radians

Returns
  the cosine of the number in radians passed

Example:
  my float $x = cos($y);

float Qore::cos | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::cosh | ( | number | n | ) |

Returns the hyperbolic cosine of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the hyperbolic cosine of the given value

Example:
  my number $x = cosh($y);

float Qore::cosh | ( | softfloat | f | ) |

Returns the hyperbolic cosine of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the hyperbolic cosine of the given value

Example:
  my float $x = cosh($y);

float Qore::cosh | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::exp | ( | number | n | ) |

Returns the value of e (the base of natural logarithms) raised to the power of the given number.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the value of e (the base of natural logarithms) raised to the power of the given number

Example:
  my number $x = exp($y);

float Qore::exp | ( | softfloat | f | ) |

Returns the value of e (the base of natural logarithms) raised to the power of the given number.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the value of e (the base of natural logarithms) raised to the power of the given number

Example:
  my float $x = exp($y);

float Qore::exp | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::exp2 | ( | number | n | ) |

Returns the value of 2 raised to the power of the given number.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the value of 2 raised to the power of the given number

Example:
  my number $x = exp2($y);

float Qore::exp2 | ( | softfloat | f | ) |

Returns the value of 2 raised to the power of the given number.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the value of 2 raised to the power of the given number

Example:
  my float $x = exp2($y);

float Qore::exp2 | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::expm1 | ( | number | n | ) |

Returns the value of e (the base of natural logarithms) raised to the power of the given number - 1.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the value of e (the base of natural logarithms) raised to the power of the given number - 1

Example:
  my number $x = exp1m($y);

float Qore::expm1 | ( | softfloat | f | ) |

Returns the value of e (the base of natural logarithms) raised to the power of the given number - 1.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the value of e (the base of natural logarithms) raised to the power of the given number - 1

Example:
  my float $x = exp1m($y);

float Qore::expm1 | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::floor | ( | softnumber | n | ) |

Returns a number equal to the largest integral value less than or equal to the argument passed.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Example:
  my number $x = floor(3.9n); # returns 3.0n

See Also
  ceil(number)

float Qore::floor | ( | softfloat | f | ) |

Returns a floating-point number equal to the largest integral value less than or equal to the argument passed.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Example:
  my float $x = floor(3.9); # returns 3.0

See Also
  ceil(softfloat)

float Qore::floor | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::hypot | ( | number | x,
|  | number | y
| ) |  |

Returns the length of the hypotenuse of a right-angle triangle with sides given as the two arguments.

Code Flags:
  CONSTANT

Parameters

  x | the length of side x of the right-angle triangle
  y | the length of side y of the right-angle triangle

Returns
  the length of the hypotenuse of a right-angle triangle with sides given as the two arguments

Example:
  my number $z = hypot($x, $y);

float Qore::hypot | ( | softfloat | x,
|  | softfloat | y
| ) |  |

Returns the length of the hypotenuse of a right-angle triangle with sides given as the two arguments.

Code Flags:
  CONSTANT

Parameters

  x | the length of side x of the right-angle triangle
  y | the length of side y of the right-angle triangle

Returns
  the length of the hypotenuse of a right-angle triangle with sides given as the two arguments

Example:
  my float $z = hypot($x, $y);

float Qore::hypot | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::log10 | ( | number | n | ) |

Returns the base 10 logarithm of the given number.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the base 10 logarithm of the given value

Example:
  my number $x = log10($y);

float Qore::log10 | ( | softfloat | f | ) |

Returns the base 10 logarithm of the given number.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the base 10 logarithm of the given value

Example:
  my float $x = log10($y);

float Qore::log10 | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::log1p | ( | number | n | ) |

Returns the natural logarithm of 1 + the given number.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the natural logarithm of 1 + the given number

Example:
  my number $x = log1p($y);

float Qore::log1p | ( | softfloat | f | ) |

Returns the natural logarithm of 1 + the given number.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the natural logarithm of 1 + the given number

Example:
  my float $x = log1p($y);

float Qore::log1p | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

float Qore::logb | ( | softfloat | f | ) |

Returns the exponent of the given number.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the exponent of the given number

Example:
  my float $x = logb($y);

float Qore::logb | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::nlog | ( | number | n | ) |

Returns the natural logarithm of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the natural logarithm of the given value

Example:
  my float $x = nlog($y);

float Qore::nlog | ( | softfloat | f | ) |

Returns the natural logarithm of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the natural logarithm of the given value

Example:
  my float $x = nlog($y);

float Qore::nlog | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::pow | ( | number | x,
|  | number | y
| ) |  |

Returns a number raised to the power of another number.

Code Flags:
  RET_VALUE_ONLY

Parameters

  x | the number to raise to the power of y
  y | the power to raise x to

Returns
  a number raised to the power of another number

Example:
  my number $z = pow($x, $y);

Exceptions

  DIVISION-BY-ZERO | in pow(x, y), if x = 0 then y must be a non-negative value

float Qore::pow | ( | softfloat | x = `0.0`,
|  | softfloat | y = `0.0`
| ) |  |

Returns a number raised to the power of another number.

Code Flags:
  RET_VALUE_ONLY

Parameters

  x | the number to raise to the power of y
  y | the power to raise x to

Returns
  a number raised to the power of another number

Example:
  my float $z = pow($x, $y);

Exceptions

  DIVISION-BY-ZERO | in pow(x, y), if x = 0 then y must be a non-negative value
  INVALID-POW-ARGUMENTS | in pow(x, y), x cannot be negative when y is not an integer value

number Qore::round | ( | number | n | ) |

Returns a number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero.

Code Flags:
  CONSTANT

Parameters

  n | a number to round

Returns
  a number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero

Example:
  my number $n = round($num);

float Qore::round | ( | softfloat | f | ) |

Returns a floating-point number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero.

Platform Availability
  Qore::Option::HAVE_ROUND

Code Flags:
  CONSTANT

Parameters

  f | a number to round

Returns
  a floating-point number equal to the closest integer to the argument passed; numbers halfway between two integers are rounded away from zero

Example:
  my float $n = round($num);

float Qore::round | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::sin | ( | number | n | ) |

Returns the sine of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  n | the angle in radians

Returns
  the sine of the number in radians passed

Example:
  my number $x = sin($y);

float Qore::sin | ( | softfloat | f | ) |

Returns the sine of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  f | the angle in radians

Returns
  the sine of the number in radians passed

Example:
  my float $x = sin($y);

float Qore::sin | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::sinh | ( | number | n | ) |

Returns the hyperbolic sine of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the hyperbolic sine of the given value

Example:
  my number $x = sinh($y);

float Qore::sinh | ( | softfloat | f | ) |

Returns the hyperbolic sine of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the hyperbolic sine of the given value

Example:
  my float $x = sinh($y);

float Qore::sinh | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::sqrt | ( | number | n | ) |

Returns the square root of the number passed.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the square root of the number passed

Example:
  my number $x = sqrt($y);

float Qore::sqrt | ( | softfloat | f | ) |

Returns the square root of the number passed.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the square root of the number passed

Example:
  my float $x = sqrt($y);

float Qore::sqrt | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::tan | ( | number | n | ) |

Returns the tangent of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  n | the angle in radians

Returns
  the tangent of the number in radians passed

Example:
  my number $x = tan($y);

float Qore::tan | ( | softfloat | f | ) |

Returns the tangent of the number in radians passed.

Code Flags:
  CONSTANT

Parameters

  f | the angle in radians

Returns
  the tangent of the number in radians passed

Example:
  my float $x = tan($y);

float Qore::tan | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP

number Qore::tanh | ( | number | n | ) |

Returns the hyperbolic tangent of the given value.

Code Flags:
  CONSTANT

Parameters

  n | the value to process

Returns
  the hyperbolic tangent of the given value

Example:
  my number $x = tanh($y);

float Qore::tanh | ( | softfloat | f | ) |

Returns the hyperbolic tangent of the given value.

Code Flags:
  CONSTANT

Parameters

  f | the value to process

Returns
  the hyperbolic tangent of the given value

Example:
  my float $x = tanh($y);

float Qore::tanh | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  RUNTIME_NOOP